[Pkg-xfce-commits] r5182 - desktop/trunk/xfce4-panel/debian
Yves-Alexis Perez
corsac at alioth.debian.org
Thu Mar 31 08:57:57 UTC 2011
Author: corsac
Date: 2011-03-31 08:57:51 +0000 (Thu, 31 Mar 2011)
New Revision: 5182
Added:
desktop/trunk/xfce4-panel/debian/xfce4-panel.preinst
Removed:
desktop/trunk/xfce4-panel/debian/NEWS
Modified:
desktop/trunk/xfce4-panel/debian/control
desktop/trunk/xfce4-panel/debian/xfce4-panel-dev.install
desktop/trunk/xfce4-panel/debian/xfce4-panel.lintian-overrides
desktop/trunk/xfce4-panel/debian/xfce4-panel.postinst
desktop/trunk/xfce4-panel/debian/xfce4-panel.shlibs
Log:
fix merge...
Deleted: desktop/trunk/xfce4-panel/debian/NEWS
===================================================================
--- desktop/trunk/xfce4-panel/debian/NEWS 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/NEWS 2011-03-31 08:57:51 UTC (rev 5182)
@@ -1,12 +0,0 @@
-xfce4-panel (4.3.90.1-3) unstable; urgency=low
-
- This is the 4.4beta1 release of xfce panel.
-
- This is a major upgrade and as such you will lose your 4.2 panel config
- There is no sane way for us to avoid this. Also as this is a beta please
- consider reporting any bugs to upstream first or to both the BTS and
- upstream's bugzilla at http://bugzilla.xfce.org/
-
- Also #xfce and #debian-xfce on irc.freenode.net can be useful resources.
-
- -- Yves-Alexis Perez <corsac at corsac.net> Mon, 05 Jun 2006 19:51:37 +0200
Modified: desktop/trunk/xfce4-panel/debian/control
===================================================================
--- desktop/trunk/xfce4-panel/debian/control 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/control 2011-03-31 08:57:51 UTC (rev 5182)
@@ -18,8 +18,7 @@
Package: xfce4-panel
Section: xfce
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libexo-0.3-0 (>= 0.3.100),
- exo-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, exo-utils
Description: The Xfce4 desktop environment panel
This is the panel provided by the Xfce4 desktop project. If you want a
multi-functional panel that can even handle plugins and the like, xfce4-panel
Modified: desktop/trunk/xfce4-panel/debian/xfce4-panel-dev.install
===================================================================
--- desktop/trunk/xfce4-panel/debian/xfce4-panel-dev.install 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/xfce4-panel-dev.install 2011-03-31 08:57:51 UTC (rev 5182)
@@ -1,5 +1,5 @@
usr/include/
usr/lib/pkgconfig/
-usr/lib/lib*.a
+usr/lib/lib*.a
usr/lib/lib*.so
usr/share/gtk-doc/
Modified: desktop/trunk/xfce4-panel/debian/xfce4-panel.lintian-overrides
===================================================================
--- desktop/trunk/xfce4-panel/debian/xfce4-panel.lintian-overrides 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/xfce4-panel.lintian-overrides 2011-03-31 08:57:51 UTC (rev 5182)
@@ -1,2 +1,2 @@
#Panel includes its library
-xfce4-panel: package-name-doesnt-match-sonames libxfce4panel1
+xfce4-panel: package-name-doesnt-match-sonames libxfce4panel-1.0-3
Modified: desktop/trunk/xfce4-panel/debian/xfce4-panel.postinst
===================================================================
--- desktop/trunk/xfce4-panel/debian/xfce4-panel.postinst 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/xfce4-panel.postinst 2011-03-31 08:57:51 UTC (rev 5182)
@@ -1,10 +1,29 @@
-#!/bin/sh -e
+#!/bin/sh
+set -e
+
+LASTVER="4.7.0"
+
+if dpkg-maintscript-helper supports rm_conffile; then
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/clock-14.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-10.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-7.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-9.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/panels.xml "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/systray-4.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/xfce4-menu-5.rc "$LASTVER" -- "$@"
+fi
+
if [ "$1" = "configure" ]; then
# Run ldconfig to update shared library system
ldconfig
fi
#DEBHELPER#
-
-exit 0
Added: desktop/trunk/xfce4-panel/debian/xfce4-panel.preinst
===================================================================
--- desktop/trunk/xfce4-panel/debian/xfce4-panel.preinst (rev 0)
+++ desktop/trunk/xfce4-panel/debian/xfce4-panel.preinst 2011-03-31 08:57:51 UTC (rev 5182)
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+LASTVER="4.7.0"
+
+if dpkg-maintscript-helper supports rm_conffile; then
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/clock-14.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-10.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-7.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/launcher-9.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/panels.xml "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/systray-4.rc "$LASTVER" -- "$@"
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/panel/xfce4-menu-5.rc "$LASTVER" -- "$@"
+fi
+
+#DEBHELPER#
Property changes on: desktop/trunk/xfce4-panel/debian/xfce4-panel.preinst
___________________________________________________________________
Added: svn:executable
+ *
Modified: desktop/trunk/xfce4-panel/debian/xfce4-panel.shlibs
===================================================================
--- desktop/trunk/xfce4-panel/debian/xfce4-panel.shlibs 2011-03-31 06:17:03 UTC (rev 5181)
+++ desktop/trunk/xfce4-panel/debian/xfce4-panel.shlibs 2011-03-31 08:57:51 UTC (rev 5182)
@@ -1 +1 @@
-libxfce4panel 1 xfce4-panel (>= 4.6.0), xfce4-panel (<< 4.7.0)
+libxfce4panel-1.0 3 xfce4-panel (>= 4.7.7)
More information about the Pkg-xfce-commits
mailing list